/*!
 * @file swarm_missile.h
*/


#ifndef _SWARM_MISSILE_H
#define _SWARM_MISSILE_H

#include "weapon.h"

class SwarmMissile : public Weapon
  {
  
  public:
    SwarmMissile ();
    SwarmMissile(const TiXmlElement* root);
    virtual ~SwarmMissile ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void tick(float dt);
    virtual void fire();


  private:
  };

#endif /* _BOOMERANG_GUN_H */
